//#define XERR
#include "modalities.ih"

    // by loop/headerdata.cc

void Modalities::legend(ostream &out) const
{
    for (ModBase const *modPtr: d_modBaseVect)
        out << setw(5) << modPtr->value() << ": " << modPtr->id() << '\n';
}
